> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vibetoken.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao-Seedance 2.0 — 图生视频

> 使用 Doubao-Seedance 2.0 将静态图片以 720p 或 1080p 动态化为 3–12 秒的视频。

|           |                                                                       |
| --------- | --------------------------------------------------------------------- |
| **模型 ID** | `bytedance/seedance-2-i2v`（标准版）· `bytedance/seedance-2-fast-i2v`（快速版） |
| **系列**    | `seedance-2`, `seedance-2-fast`                                       |
| **任务**    | `image-to-video`                                                      |
| **模态**    | 视频                                                                    |
| **上游**    | ByteDance Doubao-Seedance 2.0（通过 amux）                                |

<Note>
  **快速版**模型（`bytedance/seedance-2-fast-i2v`）经过加速且
  成本更低，但仅支持 **720p**。若需要
  1080p 请使用标准版模型。
</Note>

## Endpoint

```http theme={null}
POST https://vibetoken.cn/v1/videos/generations
```

异步接口 — 返回 `{id, status: "pending"}`；轮询
`GET /v1/videos/generations/{id}` 直到 `success` 或 `failed`。

## 参数

<ParamField body="prompt" type="string" required>
  引导首帧图片如何动态化的文本提示词。最多 5000
  个字符。
</ParamField>

<ParamField body="image_urls" type="string[]" required>
  包含首帧图片 URL（公开 HTTPS）的单元素数组。
  `min_items: 1, max_items: 1`。
</ParamField>

<ParamField body="resolution" type="&#x22;720p&#x22; | &#x22;1080p&#x22;" default="&#x22;1080p&#x22;">
  输出分辨率。标准版两者皆支持；快速版仅支持 720p。
</ParamField>

<ParamField body="ratio" type="&#x22;16:9&#x22; | &#x22;9:16&#x22; | &#x22;1:1&#x22; | &#x22;4:3&#x22; | &#x22;3:4&#x22; | &#x22;21:9&#x22;" default="&#x22;16:9&#x22;">
  生成视频的宽高比。
</ParamField>

<ParamField body="duration" type="integer" default="5">
  生成片段的时长（秒）。取值范围 `[3, 12]`。
</ParamField>

<ParamField body="generate_audio" type="boolean" default="false">
  在生成视频的同时生成原生音轨（标准档位）。
</ParamField>

<ParamField body="seed" type="integer">
  随机数生成器的初始化种子。取值范围 `[0, 2147483647]`。
</ParamField>

## 示例

```bash theme={null}
curl https://vibetoken.cn/v1/videos/generations \
  -H "Authorization: Bearer $VIBETOKEN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bytedance/seedance-2-i2v",
    "prompt": "the character turns and smiles, camera slowly zooms in",
    "image_urls": ["https://example.com/first-frame.jpg"],
    "resolution": "1080p",
    "duration": 5
  }'
```

```json theme={null}
{ "id": "task_abc123…", "status": "pending", "model": "bytedance/seedance-2-i2v" }
```

轮询直到进入终态：

```bash theme={null}
curl https://vibetoken.cn/v1/videos/generations/task_abc123… \
  -H "Authorization: Bearer $VIBETOKEN_API_KEY"
```

```json theme={null}
{
  "id": "task_abc123…",
  "status": "success",
  "data": [{ "url": "https://…mp4" }]
}
```
